Kerbal Space Program - Bug #4785

ladder stuck open in VAB
04/28/2015 06:36 AM - drazed

Status: Closed Start date: 04/28/2015
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.0 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The mobility enhancer ladders seem to have a bug where if you attach one to your ship, 'extend' it, then do somethings and go back
to 'retract' it does nothing.

Easy way I've found to reproduce. * open VAB, new ship * add mk1 command pod root * add mobility enhancer to top of pod
(doesn't matter which, both the extending mobility enhancers have this bug) * right-click mobility enhancer and 'extend" * launch ship
* revert to VAB * right click mobility enhancer and 'retract' -> FAIL nothing happens

confirmed on linux 64bit (may affect others).

History

#1 - 04/29/2015 04:57 AM - EddieRod1285

drazed wrote:

The mobility enhancer ladders seem to have a bug where if you attach one to your ship, 'extend' it, then do somethings and go back to 'retract' it
does nothing.

Easy way I've found to reproduce.

open VAB, new ship

add mk1 command pod root

add mobility enhancer to top of pod (doesn't matter which, both the extending mobility enhancers have this bug)
right-click mobility enhancer and 'extend’

launch ship

revert to VAB

right click mobility enhancer and 'retract' -> FAIL nothing happens

confirmed on linux 64bit (may affect others).

Noob here just signed up for 1.0 bugs cause their is a bit too many for final release! But | can also 100% confirm this happens on windows as well!
Using Win 7 Ultimate 64 bit.

#2 - 04/29/2015 04:03 PM - sr
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Nothing obvious in the logs here. Will attach both the player.log and ksp.log anyway.

#3 - 04/29/2015 04:05 PM - sr
- File Player.log added
- File KSP.log added

#4 - 04/29/2015 04:21 PM - sr
- Platform Any added
- Platform deleted (Linux)
Can reproduce under windows as well.

#5 - 04/29/2015 04:38 PM - drazed

Also of minor note, This was an issue BEFORE 1.0, | noticed it since tweakables were initially added (or around that time), but never posted anything.
Would be nice to have a fix though :)

#6 - 05/01/2015 06:35 PM - Kasuha

| confirm it is very old, already reported here too: #2328#2639
It's not about extending them - even if you leave them retracted, after save/load it's no longer possible to change their state.
Workaround is to delete the ladder and place a new one.

#7 - 07/17/2016 09:29 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#8 - 08/09/2016 01:16 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files
Player.log 505 KB 04/29/2015 sr
KSP.log 161 KB 04/29/2015 sr
